STRCHR(3) | NetBSD Library Functions Manual | STRCHR(3)

# NAME

strchr — locate character in string

# LIBRARY

Standard C Library (libc, -lc)

# SYNOPSIS

#include <string.h>

char *
strchr(const char *s, int c);

# DESCRIPTION

The strchr() function locates the first occurrence of c in the string pointed to by s. The terminating NUL character is considered part of the string. If c is ‘\0', strchr() locates the terminating ‘\0'.

# RETURN VALUES

The function strchr() returns a pointer to the located character, or NULL if the character does not appear in the string.

# EXAMPLES

After the following call to strchr(), p will point to the string “oobar”:

    char *p;
    char *s = "foobar";

    p = strchr(s, 'o');

# SEE ALSO

index(3), memchr(3), rindex(3), strcspn(3), strpbrk(3), strrchr(3), strsep(3), strspn(3), strstr(3), strtok(3)

# STANDARDS

The strchr() function conforms to ANSI X3.159-1989 (“ANSI C”).

August 11, 2002 | NetBSD 5.99